eFilm Workstation® 4.0.2  |  datasheet


*Important: eFilm Recall EFW-1895 involving eFilm Workstation/eFilm Lite versions 2.1, 2.1.2, 3.0, 3.1, 3.3.5, 3.4, 4.0, 4.0.1, 4.0.2, 4.0.3 and 4.1. Please update your software by downloading the new version 4.1.1 or higher. Click here for important information regarding this issue


This product is no longer available, please click here to view our solution offering.